local remap = vim.keymap.set

remap('n', '<Leader>fg',  ':FZFGGrep<CR>',   { noremap = true })
remap('n', '<Leader>fG',  ':FZFGrep<CR>',    { noremap = true })
remap('n', '<Leader>fl',  ':FZFBLines<CR>',  { noremap = true })
remap('n', '<Leader>f\\', ':FZFRg<CR>',      { noremap = true })
remap('n', '<Leader>fT',  ':FZFTags<SPACE>', { noremap = true })
remap('n', '<Leader>fq',  ':cclose<CR>:FZFQuickFix<CR>', { noremap = true })
remap('n', '<Leader>fQ',  ':lclose<CR>:FZFLocList<CR>',  { noremap = true })
remap('n', '<Leader>fS',  ':<C-u>FZFRg <C-r><C-w><CR>',   { noremap = true })
remap('x', '<Leader>fS',  '"zy<Esc>:FZFRg <C-R>z<CR>',    { noremap = true })
remap('n', '<Leader>ft',  ':<C-u>FZFTags <C-r><C-w><CR>', { noremap = true })
